petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCCHOLESKY

Uses a direct solver, based on Cholesky factorization, as a preconditioner

### Options Database Keys

| -pc_factor_reuse_ordering | - Activate PCFactorSetReuseOrdering() Many br
| -pc_factor_mat_solver_package | - Actives PCFactorSetMatSolverPackage() to choose the direct solver, like superlu Many br
| -pc_factor_reuse_fill | - Activates PCFactorSetReuseFill() Many br
| -pc_factor_fill <fill> | - Sets fill amount Many br
| -pc_factor_in_place | - Activates in-place factorization Many br
| -pc_factor_mat_ordering_type <nd,rcm,...> | - Sets ordering routine Many br

Notes: Not all options work for all matrix formats Many br

Many br

Notes: Usually this will compute an "exact" solution in one iteration and does Many brnot need a Krylov method (i.e. you can use -ksp_type preonly, or Many brKSPSetType(ksp,KSPPREONLY) for the Krylov method Many br

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCILU, PCLU, PCICC, PCFactorSetReuseOrdering(), PCFactorSetReuseFill(), PCFactorGetMatrix(), Many brPCFactorSetFill(), PCFactorSetShiftNonzero(), PCFactorSetShiftType(), PCFactorSetShiftAmount() Many brPCFactorSetUseInPlace(), PCFactorGetUseInPlace(), PCFactorSetMatOrderingType() Many br

Level:beginner
Location:src/ksp/pc/impls/factor/cholesky/cholesky.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html